"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function encodeText(data, ptr, text, maxLength, postfix) {
    var p = ptr;
    for (var i = 0; i < maxLength; i++) {
        var code = text.charCodeAt(i) || 0;
        data[p++] = (code & 0x00ff);
        data[p++] = (code & 0xff00) >>> 8;
    }
    postfix.forEach(function (b) {
        data[p++] = b;
    });
    return p;
}
function encode(params) {
    var data = new Uint8ClampedArray(620);
    var p = 0;
    // Title
    p = encodeText(data, p, params.title, 20, 
    // ???
    [0x00, 0x00, 0x00, 0x80]);
    // Author
    p = encodeText(data, p, params.author, 9, 
    // Author ID?
    [0x00, 0x00, 0x00, 0x80]);
    // Town
    p = encodeText(data, p, params.town, 9, 
    // Town ID?
    [0x00, 0x00, 0x00, 0x80]);
    // Color palette
    params.palette.forEach(function (id) {
        data[p++] = id;
    });
    // Misc
    [
        // ???
        0x00, 0x00,
        // Type
        // 0x09: Normal
        0x09,
        // 0x0000
        0x00, 0x00,
    ].forEach(function (b) {
        data[p++] = b;
    });
    // Image
    for (var i = 0; i < params.image.length; i += 2) {
        var d1 = params.image[i];
        var d2 = params.image[i + 1] || 0;
        data[p++] =
            ((d2 & 0x0f) << 4) |
                (d1 & 0x0f);
    }
    return data;
}
exports.encode = encode;
