"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var mocha_1 = require("mocha");
var SystemColors = require("./system-colors");
mocha_1.describe('SystemColors', function () {
    [{
            expected: {
                colorId: 0xef,
            },
            params: {
                hex: 0x000000,
            },
        }, {
            expected: {
                colorId: 0x0f,
            },
            params: {
                hex: 0xffffff,
            },
        }, {
            expected: {
                colorId: 0x24,
            },
            params: {
                hex: 0xff6600,
            },
        }, {
            expected: {
                colorId: 0x42,
            },
            params: {
                hex: 0xc060d0,
            },
        }, {
            expected: {
                colorId: 0x96,
            },
            params: {
                hex: 0x0000cc,
            },
        }, {
            expected: {
                colorId: 0x94,
            },
            params: {
                hex: 0x0000dd,
            },
        }].forEach(function (_a) {
        var expected = _a.expected, params = _a.params;
        mocha_1.it("should return color #" + expected.colorId.toString(16) + " for color " + (params === null || params === void 0 ? void 0 : params.hex.toString(16)), function () {
            chai_1.assert.strictEqual(SystemColors.getNearestColorId(params.hex), expected.colorId);
        });
    });
});
