"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var mocha_1 = require("mocha");
var RgbColor = require("./rgb");
mocha_1.describe('RgbColor', function () {
    [{
            comps: [0x00, 0x00, 0x00],
            hex: 0x000000,
        }, {
            comps: [0x12, 0x34, 0x56],
            hex: 0x123456,
        }, {
            comps: [0xff, 0xff, 0xff],
            hex: 0xffffff,
        }].forEach(function (_a) {
        var comps = _a.comps, hex = _a.hex;
        mocha_1.it("should convert hex " + hex.toString(16) + " into components " + JSON.stringify(comps), function () {
            chai_1.assert.deepEqual(RgbColor.componentsFromHex(hex), comps);
        });
        mocha_1.it("should convert components " + JSON.stringify(comps) + " into hex " + hex.toString(16), function () {
            chai_1.assert.strictEqual(RgbColor.hexFromComponents(comps), hex);
        });
    });
});
