"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function componentsFromHex(hex) {
    return [
        (hex & 0xff0000) >>> 16,
        (hex & 0x00ff00) >>> 8,
        (hex & 0x0000ff),
    ];
}
exports.componentsFromHex = componentsFromHex;
function hexFromComponents(comps) {
    return (((comps[0] & 0xff) << 16) |
        ((comps[1] & 0xff) << 8) |
        ((comps[2] & 0xff))) >>> 0;
}
exports.hexFromComponents = hexFromComponents;
function getDistance(comps1, comps2) {
    return Math.sqrt([0, 1, 2].reduce(function (total, index) {
        return total + Math.pow(comps1[index] - comps2[index], 2);
    }, 0));
}
exports.getDistance = getDistance;
