"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var mocha_1 = require("mocha");
var RgbaColor = require("./rgba");
mocha_1.describe('RgbaColor', function () {
    [{
            comps: [0x00, 0x00, 0x00, 0x00],
            hex: 0x00000000,
        }, {
            comps: [0x12, 0x34, 0x56, 0x78],
            hex: 0x12345678,
        }, {
            comps: [0xff, 0xff, 0xff, 0xff],
            hex: 0xffffffff,
        }].forEach(function (_a) {
        var comps = _a.comps, hex = _a.hex;
        mocha_1.it("should convert hex " + hex.toString(16) + " into components " + JSON.stringify(comps), function () {
            chai_1.assert.deepEqual(RgbaColor.componentsFromHex(hex), comps);
        });
        mocha_1.it("should convert components " + JSON.stringify(comps) + " into hex " + hex.toString(16), function () {
            chai_1.assert.strictEqual(RgbaColor.hexFromComponents(comps), hex);
        });
    });
});
